Activity log for bug #1797322

Date Who What changed Old value New value Message
2018-10-11 07:43:40 ethan.hsieh bug added bug
2018-10-11 07:43:40 ethan.hsieh attachment added 0001-rfkill-set-encoding-as-NULL.patch https://bugs.launchpad.net/bugs/1797322/+attachment/5199851/+files/0001-rfkill-set-encoding-as-NULL.patch
2018-10-11 08:12:33 Sebastien Bacher bug added subscriber Ubuntu Sponsors Team
2018-10-11 08:13:05 Sebastien Bacher gnome-settings-daemon (Ubuntu): importance Undecided High
2018-10-11 08:13:05 Sebastien Bacher gnome-settings-daemon (Ubuntu): status New Confirmed
2018-10-11 14:28:03 Sebastien Bacher gnome-settings-daemon (Ubuntu): status Confirmed Fix Committed
2018-10-11 17:47:45 Launchpad Janitor gnome-settings-daemon (Ubuntu): status Fix Committed Fix Released
2018-10-12 02:41:41 ethan.hsieh description The default encoding for GIOChannel is UTF-8, but rfkill event is binary data. If the value is invalid UTF-8, gsd-rfkill-manager will fail to receive rfkill event. Steps: Run suspend/resume Test (> 127 times) Failure Rate: 100% In some platforms, bt will be re-probed after s3. If bt is re-probed, rfkill-idx will increase. And, 128 is the first invalid UTF-8 $ rfkill list ID TYPE DEVICE SOFT HARD 1 wlan phy0 unblocked unblocked 128 bluetooth hci0 unblocked unblocked Error Message: gnome-settings-daemon/plugins/rfkill/rfkill-glib.c gsd-rfkill[2062]: event_cb: 1 g_io_channel_read_chars gsd-rfkill[2062]: g_io_channel_fill_buffer: cur_len=0, read_size=8 gsd-rfkill[2062]: g_io_channel_read_chars: 5 *bytes_read=8 gsd-rfkill[2062]: event_cb: 1 read=8 gsd-rfkill[2062]: event_cb: 1 source->read_buf->len=0 gsd-rfkill[2062]: event_cb: 1 source->encoded_read_buf->len=0 gsd-rfkill[2062]: RFKILL event: idx 127 type 2 (BLUETOOTH) op 1 (DEL) soft 0 hard 0 gsd-rfkill[2062]: event_cb: 2 g_io_channel_read_chars gsd-rfkill[2062]: event_cb: 2 read=0 gsd-rfkill[2062]: event_cb: 2 source->read_buf->len=8 gsd-rfkill[2062]: event_cb: g_list_length=1 gsd-rfkill[2062]: Removed Bluetooth rfkill with ID 127 gsd-rfkill[2062]: event_cb: 1 g_io_channel_read_chars gsd-rfkill[2062]: event_cb: 1 read=0T gsd-rfkill[2062]: event_cb: 1 source->read_buf->len=16 gsd-rfkill[2062]: event_cb: g_list_length=0 [Impact] The default encoding for GIOChannel is UTF-8, but rfkill event is binary data. gsd-rfkill-manager will fail to receive rfkill event if rfkill-idx is larger than 127. The solution is to set the encoding of GIOChannel as NULL (binary data). [Test Case] 1) Enable the -proposed repository, and install new "gnome-settings-daemon-schemas" and "gnome-settings-daemon" 2) Reboot system 3) Run suspend/resume test more than 127 times and then check if BT settings still works well. [Regression Potential] Low. The default encoding for GIOChannel is wrong. Just set correct encoding to receive rfkill event. --- The default encoding for GIOChannel is UTF-8, but rfkill event is binary data. If the value is invalid UTF-8, gsd-rfkill-manager will fail to receive rfkill event. Steps: Run suspend/resume Test (> 127 times) Failure Rate: 100% In some platforms, bt will be re-probed after s3. If bt is re-probed, rfkill-idx will increase. And, 128 is the first invalid UTF-8 $ rfkill list ID TYPE DEVICE SOFT HARD 1 wlan phy0 unblocked unblocked 128 bluetooth hci0 unblocked unblocked Error Message: gnome-settings-daemon/plugins/rfkill/rfkill-glib.c gsd-rfkill[2062]: event_cb: 1 g_io_channel_read_chars gsd-rfkill[2062]: g_io_channel_fill_buffer: cur_len=0, read_size=8 gsd-rfkill[2062]: g_io_channel_read_chars: 5 *bytes_read=8 gsd-rfkill[2062]: event_cb: 1 read=8 gsd-rfkill[2062]: event_cb: 1 source->read_buf->len=0 gsd-rfkill[2062]: event_cb: 1 source->encoded_read_buf->len=0 gsd-rfkill[2062]: RFKILL event: idx 127 type 2 (BLUETOOTH) op 1 (DEL) soft 0 hard 0 gsd-rfkill[2062]: event_cb: 2 g_io_channel_read_chars gsd-rfkill[2062]: event_cb: 2 read=0 gsd-rfkill[2062]: event_cb: 2 source->read_buf->len=8 gsd-rfkill[2062]: event_cb: g_list_length=1 gsd-rfkill[2062]: Removed Bluetooth rfkill with ID 127 gsd-rfkill[2062]: event_cb: 1 g_io_channel_read_chars gsd-rfkill[2062]: event_cb: 1 read=0T gsd-rfkill[2062]: event_cb: 1 source->read_buf->len=16 gsd-rfkill[2062]: event_cb: g_list_length=0
2018-10-12 02:46:42 ethan.hsieh description [Impact] The default encoding for GIOChannel is UTF-8, but rfkill event is binary data. gsd-rfkill-manager will fail to receive rfkill event if rfkill-idx is larger than 127. The solution is to set the encoding of GIOChannel as NULL (binary data). [Test Case] 1) Enable the -proposed repository, and install new "gnome-settings-daemon-schemas" and "gnome-settings-daemon" 2) Reboot system 3) Run suspend/resume test more than 127 times and then check if BT settings still works well. [Regression Potential] Low. The default encoding for GIOChannel is wrong. Just set correct encoding to receive rfkill event. --- The default encoding for GIOChannel is UTF-8, but rfkill event is binary data. If the value is invalid UTF-8, gsd-rfkill-manager will fail to receive rfkill event. Steps: Run suspend/resume Test (> 127 times) Failure Rate: 100% In some platforms, bt will be re-probed after s3. If bt is re-probed, rfkill-idx will increase. And, 128 is the first invalid UTF-8 $ rfkill list ID TYPE DEVICE SOFT HARD 1 wlan phy0 unblocked unblocked 128 bluetooth hci0 unblocked unblocked Error Message: gnome-settings-daemon/plugins/rfkill/rfkill-glib.c gsd-rfkill[2062]: event_cb: 1 g_io_channel_read_chars gsd-rfkill[2062]: g_io_channel_fill_buffer: cur_len=0, read_size=8 gsd-rfkill[2062]: g_io_channel_read_chars: 5 *bytes_read=8 gsd-rfkill[2062]: event_cb: 1 read=8 gsd-rfkill[2062]: event_cb: 1 source->read_buf->len=0 gsd-rfkill[2062]: event_cb: 1 source->encoded_read_buf->len=0 gsd-rfkill[2062]: RFKILL event: idx 127 type 2 (BLUETOOTH) op 1 (DEL) soft 0 hard 0 gsd-rfkill[2062]: event_cb: 2 g_io_channel_read_chars gsd-rfkill[2062]: event_cb: 2 read=0 gsd-rfkill[2062]: event_cb: 2 source->read_buf->len=8 gsd-rfkill[2062]: event_cb: g_list_length=1 gsd-rfkill[2062]: Removed Bluetooth rfkill with ID 127 gsd-rfkill[2062]: event_cb: 1 g_io_channel_read_chars gsd-rfkill[2062]: event_cb: 1 read=0T gsd-rfkill[2062]: event_cb: 1 source->read_buf->len=16 gsd-rfkill[2062]: event_cb: g_list_length=0 [Impact] The default encoding for GIOChannel is UTF-8, but rfkill event is binary data. gsd-rfkill-manager will fail to receive rfkill event if rfkill-idx is larger than 127. Settings will always shows Bluetooth is off after resume. The solution is to set the encoding of GIOChannel as NULL (binary data). [Test Case] 1) Enable the -proposed repository, and install new "gnome-settings-daemon-schemas" and "gnome-settings-daemon" 2) Reboot system 3) Run suspend/resume test more than 127 times and then check if BT settings still works well. [Regression Potential] Low. The default encoding for GIOChannel is wrong. Just set correct encoding to receive rfkill event. --- The default encoding for GIOChannel is UTF-8, but rfkill event is binary data. If the value is invalid UTF-8, gsd-rfkill-manager will fail to receive rfkill event. Steps: Run suspend/resume Test (> 127 times) Failure Rate: 100% In some platforms, bt will be re-probed after s3. If bt is re-probed, rfkill-idx will increase. And, 128 is the first invalid UTF-8 $ rfkill list ID TYPE DEVICE SOFT HARD 1 wlan phy0 unblocked unblocked 128 bluetooth hci0 unblocked unblocked Error Message: gnome-settings-daemon/plugins/rfkill/rfkill-glib.c gsd-rfkill[2062]: event_cb: 1 g_io_channel_read_chars gsd-rfkill[2062]: g_io_channel_fill_buffer: cur_len=0, read_size=8 gsd-rfkill[2062]: g_io_channel_read_chars: 5 *bytes_read=8 gsd-rfkill[2062]: event_cb: 1 read=8 gsd-rfkill[2062]: event_cb: 1 source->read_buf->len=0 gsd-rfkill[2062]: event_cb: 1 source->encoded_read_buf->len=0 gsd-rfkill[2062]: RFKILL event: idx 127 type 2 (BLUETOOTH) op 1 (DEL) soft 0 hard 0 gsd-rfkill[2062]: event_cb: 2 g_io_channel_read_chars gsd-rfkill[2062]: event_cb: 2 read=0 gsd-rfkill[2062]: event_cb: 2 source->read_buf->len=8 gsd-rfkill[2062]: event_cb: g_list_length=1 gsd-rfkill[2062]: Removed Bluetooth rfkill with ID 127 gsd-rfkill[2062]: event_cb: 1 g_io_channel_read_chars gsd-rfkill[2062]: event_cb: 1 read=0T gsd-rfkill[2062]: event_cb: 1 source->read_buf->len=16 gsd-rfkill[2062]: event_cb: g_list_length=0
2018-10-16 02:58:58 Yuan-Chen Cheng bug task added oem-priority
2018-10-16 02:59:36 Yuan-Chen Cheng oem-priority: status New Confirmed
2018-10-24 01:26:42 Yuan-Chen Cheng tags bionic cosmic bionic cosmic somerville
2018-10-25 05:47:30 Yuan-Chen Cheng oem-priority: importance Undecided High
2018-10-29 19:21:03 Brian Murray gnome-settings-daemon (Ubuntu Bionic): status New Fix Committed
2018-10-29 19:21:05 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2018-10-29 19:21:08 Brian Murray bug added subscriber SRU Verification
2018-10-29 19:21:10 Brian Murray tags bionic cosmic somerville bionic cosmic somerville verification-needed verification-needed-bionic
2018-10-29 19:21:55 Brian Murray removed subscriber Ubuntu Sponsors Team
2018-10-30 05:01:22 ethan.hsieh tags bionic cosmic somerville verification-needed verification-needed-bionic bionic cosmic somerville verification-done-bionic verification-needed
2018-10-30 21:05:13 Sebastien Bacher tags bionic cosmic somerville verification-done-bionic verification-needed bionic cosmic somerville verification-done verification-done-bionic
2018-11-05 21:59:00 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2018-11-05 22:09:01 Launchpad Janitor gnome-settings-daemon (Ubuntu Bionic): status Fix Committed Fix Released